# org.pdfclown.documents.interaction.annotations.AppearanceCharacteristics Class Reference

Appearance characteristics [PDF:1.6:8.4.5]. More...

Inheritance diagram for org.pdfclown.documents.interaction.annotations.AppearanceCharacteristics:

List of all members.

## Classes
class | IconFitObject
| Icon fit [PDF:1.6:8.6.6]. More...
## Public Types
enum | CaptionPositionEnum { CaptionOnly = 0, NoCaption = 1, Below = 2, Above = 3, Right = 4, Left = 5, Overlaid = 6 }
| Caption position relative to its icon [PDF:1.6:8.4.5]. More...
enum | OrientationEnum { Up = 0, Left = 90, Down = 180, Right = 270 }
| Annotation orientation [PDF:1.6:8.4.5]. More...
## Public Member Functions
| AppearanceCharacteristics (Document context)
virtual object | Clone (Document context)
| Gets a clone of the object, registered inside the given document context.
virtual bool | Delete ()
| Removes the object from its document context.
override bool | Equals (object obj)
override int | GetHashCode ()
## Static Public Member Functions
static PdfDirectObject | GetBaseObject (PdfObjectWrapper wrapper)
| Gets the PDF object backing the specified wrapper.
static AppearanceCharacteristics | Wrap (PdfDirectObject baseObject)
## Protected Member Functions
void | CheckCompatibility (object feature)
| Checks whether the specified feature is compatible with the document's conformance version.
virtual PdfString | RetrieveName ()
| Retrieves the name possibly associated to this object, walking through the document's name dictionary.
PdfDirectObject | RetrieveNamedBaseObject ()
| Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.
## Properties
string | AlternateCaption`[get, set]`
| Gets/Sets the widget annotation's alternate (down) caption, displayed when the mouse button is pressed within its active area (Pushbutton fields only).
FormXObject | AlternateIcon`[get, set]`
| Gets/Sets the widget annotation's alternate (down) icon definition, displayed when the mouse button is pressed within its active area (Pushbutton fields only).
DeviceColor | BackgroundColor`[get, set]`
| Gets/Sets the widget annotation's background color.
virtual PdfDirectObject | BaseObject`[get, set]`
DeviceColor | BorderColor`[get, set]`
| Gets/Sets the widget annotation's border color.
CaptionPositionEnum | CaptionPosition`[get, set]`
| Gets/Sets the position of the caption relative to its icon (Pushbutton fields only).
PdfIndirectObject | Container`[get]`
| Gets the indirect object containing the base object.
PdfIndirectObject | DataContainer`[get]`
| Gets the indirect object containing the base data object.
Document | Document`[get]`
| Gets the document context.
File | File`[get]`
| Gets the file context.
IconFitObject | IconFit`[get, set]`
| Gets/Sets the icon fit specifying how to display the widget annotation's icon within its annotation box (Pushbutton fields only). If present, the icon fit applies to all of the annotation's icons (normal, rollover, and alternate).
string | NormalCaption`[get, set]`
| Gets/Sets the widget annotation's normal caption, displayed when it is not interacting with the user (Button fields only).
FormXObject | NormalIcon`[get, set]`
| Gets/Sets the widget annotation's normal icon definition, displayed when it is not interacting with the user (Pushbutton fields only).
OrientationEnum | Orientation`[get, set]`
| Gets/Sets the widget annotation's orientation.
string | RolloverCaption`[get, set]`
| Gets/Sets the widget annotation's rollover caption, displayed when the user rolls the cursor into its active area without pressing the mouse button (Pushbutton fields only).
FormXObject | RolloverIcon`[get, set]`
| Gets/Sets the widget annotation's rollover icon definition, displayed when the user rolls the cursor into its active area without pressing the mouse button (Pushbutton fields only).

##

Appearance characteristics [PDF:1.6:8.4.5].

## Member Enumeration Documentation

enum org::pdfclown::documents::interaction::annotations::AppearanceCharacteristics::CaptionPositionEnum

Caption position relative to its icon [PDF:1.6:8.4.5].

Enumerator:

  CaptionOnly | Caption only (no icon).
  NoCaption | No caption (icon only).
  Below | Caption below the icon.
  Above | Caption above the icon.
  Right | Caption to the right of the icon.
  Left | Caption to the left of the icon.
  Overlaid | Caption overlaid directly on the icon.

enum org::pdfclown::documents::interaction::annotations::AppearanceCharacteristics::OrientationEnum

Annotation orientation [PDF:1.6:8.4.5].

Enumerator:

  Up | Upward.
  Left | Leftward.
  Down | Downward.
  Right | Rightward.

## Constructor & Destructor Documentation

org.pdfclown.documents.interaction.annotations.AppearanceCharacteristics.AppearanceCharacteristics | ( | Document | context | ) |

## Member Function Documentation

void org.pdfclown.objects.PdfObjectWrapper.CheckCompatibility | ( | object | feature | ) | `[protected, inherited]`

Checks whether the specified feature is compatible with the document's conformance version.

Parameters:

  | feature | Entity whose compatibility has to be checked. Supported types: VersionEnum Property name resolvable to an annotated getter method MemberInfo

virtual object org.pdfclown.objects.PdfObjectWrapper.Clone | ( | Document | context | ) | `[virtual, inherited]`

Gets a clone of the object, registered inside the given document context.

Parameters:

  | context | Which document the clone has to be registered in.

virtual bool org.pdfclown.objects.PdfObjectWrapper.Delete | ( |  | ) | `[virtual, inherited]`

Removes the object from its document context.

The object is no more usable after this method returns.

Returns:
  Whether the object was actually decontextualized (only indirect objects can be decontextualize).

Reimplemented in org.pdfclown.documents.interaction.annotations.Annotation, org.pdfclown.documents.interaction.navigation.page.Article, and org.pdfclown.documents.interaction.navigation.page.ArticleElement.

override bool org.pdfclown.objects.PdfObjectWrapper.Equals | ( | object | obj | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.fonts.Font.

static PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.GetBaseObject | ( | PdfObjectWrapper< PdfDictionary > | wrapper | ) | `[static, inherited]`

Gets the PDF object backing the specified wrapper.

Parameters:

  | wrapper | Object to extract the base from.

override int org.pdfclown.objects.PdfObjectWrapper.GetHashCode | ( |  | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.fonts.Font.

virtual PdfString org.pdfclown.objects.PdfObjectWrapper.RetrieveName | ( |  | ) | `[protected, virtual, inherited]`

Retrieves the name possibly associated to this object, walking through the document's name dictionary.

Reimplemented in org.pdfclown.documents.multimedia.Rendition.

PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.RetrieveNamedBaseObject | ( |  | ) | `[protected, inherited]`

Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.

static AppearanceCharacteristics org.pdfclown.documents.interaction.annotations.AppearanceCharacteristics.Wrap | ( | PdfDirectObject | baseObject | ) | `[static]`

## Property Documentation

string org.pdfclown.documents.interaction.annotations.AppearanceCharacteristics.AlternateCaption`[get, set]`

Gets/Sets the widget annotation's alternate (down) caption, displayed when the mouse button is pressed within its active area (Pushbutton fields only).

FormXObject org.pdfclown.documents.interaction.annotations.AppearanceCharacteristics.AlternateIcon`[get, set]`

Gets/Sets the widget annotation's alternate (down) icon definition, displayed when the mouse button is pressed within its active area (Pushbutton fields only).

DeviceColor org.pdfclown.documents.interaction.annotations.AppearanceCharacteristics.BackgroundColor`[get, set]`

Gets/Sets the widget annotation's background color.

virtual PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.BaseObject`[get, set, inherited]`

Gets the underlying reference object, if available; otherwise, gets the underlying data object.

DeviceColor org.pdfclown.documents.interaction.annotations.AppearanceCharacteristics.BorderColor`[get, set]`

Gets/Sets the widget annotation's border color.

CaptionPositionEnum org.pdfclown.documents.interaction.annotations.AppearanceCharacteristics.CaptionPosition`[get, set]`

Gets/Sets the position of the caption relative to its icon (Pushbutton fields only).

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.Container`[get, inherited]`

Gets the indirect object containing the base object.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.DataContainer`[get, inherited]`

Gets the indirect object containing the base data object.

Document org.pdfclown.objects.PdfObjectWrapper.Document`[get, inherited]`

Gets the document context.

File org.pdfclown.objects.PdfObjectWrapper.File`[get, inherited]`

Gets the file context.

IconFitObject org.pdfclown.documents.interaction.annotations.AppearanceCharacteristics.IconFit`[get, set]`

Gets/Sets the icon fit specifying how to display the widget annotation's icon within its annotation box (Pushbutton fields only). If present, the icon fit applies to all of the annotation's icons (normal, rollover, and alternate).

string org.pdfclown.documents.interaction.annotations.AppearanceCharacteristics.NormalCaption`[get, set]`

Gets/Sets the widget annotation's normal caption, displayed when it is not interacting with the user (Button fields only).

FormXObject org.pdfclown.documents.interaction.annotations.AppearanceCharacteristics.NormalIcon`[get, set]`

Gets/Sets the widget annotation's normal icon definition, displayed when it is not interacting with the user (Pushbutton fields only).

OrientationEnum org.pdfclown.documents.interaction.annotations.AppearanceCharacteristics.Orientation`[get, set]`

Gets/Sets the widget annotation's orientation.

string org.pdfclown.documents.interaction.annotations.AppearanceCharacteristics.RolloverCaption`[get, set]`

Gets/Sets the widget annotation's rollover caption, displayed when the user rolls the cursor into its active area without pressing the mouse button (Pushbutton fields only).

FormXObject org.pdfclown.documents.interaction.annotations.AppearanceCharacteristics.RolloverIcon`[get, set]`

Gets/Sets the widget annotation's rollover icon definition, displayed when the user rolls the cursor into its active area without pressing the mouse button (Pushbutton fields only).

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.